'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.listRequiredModules = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _module = require('module');

var _module2 = _interopRequireDefault(_module);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var listRequiredModules = exports.listRequiredModules = function listRequiredModules(packageName) {
  try {
    var module = new _module2.default();

    var mainFilePath = _module2.default._resolveFilename(packageName, _extends({}, module, { paths: _module2.default._nodeModulePaths(process.cwd())
    }));

    var mainFile = _fs2.default.readFileSync(mainFilePath, 'utf-8');
    var matches = mainFile.match(/\.\/([^']+)/g);

    return matches ? matches.map(function (item) {
      return item.match(/\.\/([^']+)/)[1];
    }) : [];
  } catch (e) {
    if (e.code !== 'MODULE_NOT_FOUND') {
      throw e;
    }

    console.warn(e.message);

    return [];
  }
};